using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;
using System.Xml;

public partial class foot : System.Web.UI.UserControl
{
        protected void Page_Load(object sender, EventArgs e)
        {
            string url = Server.MapPath("~/info.xml");
            StreamReader xmlread = new StreamReader(url, System.Text.Encoding.GetEncoding("gb2312"));
            XmlDocument xmldoc = new XmlDocument();
            xmldoc.Load(xmlread);
            XmlNode xn = xmldoc.SelectSingleNode("myinfo/text");
            this.txt.Text = xn.InnerText;
            XmlNode xn2 = xmldoc.SelectSingleNode("myinfo/email");
            this.eml.Text = xn2.InnerText;
            XmlNode xn3 = xmldoc.SelectSingleNode("myinfo/qq");
            this.qq.Text = xn3.InnerText;
            xmlread.Close();
        }
}
